// Multi precision toolbox for Scilab
// Copyright (C) 2011 - Jonathan Blanchard

// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

// <-- JVM NOT MANDATORY -->

// Tests for the overloaded round() function.

A = [  1.1  2  3  4;
       5  6.2  7  8;
       9 10 11.43 12;
      13 14 15 0.98 ];
     
mpsA = mps_init2(A, 100);

B = round(A);
mpsB = round(mpsA);
rst = mps_isequal(mpsB, B);
if rst <> %t  then pause, end
rst = %f;

mps_clear(mpsA);
mps_clear(mpsB);


////
A = [  1.1  2  3  4.5 ];
     
mpsA = mps_init2(A, 100);

B = round(A);
mpsB = round(mpsA);
rst = mps_isequal(mpsB, B);
if rst <> %t  then pause, end
rst = %f;

mps_clear(mpsA);
mps_clear(mpsB);


////
A = [  1.1;  2;  3;  4.5 ];
     
mpsA = mps_init2(A, 100);

B = round(A);
mpsB = round(mpsA);
rst = mps_isequal(mpsB, B);
if rst <> %t  then pause, end
rst = %f;

mps_clear(mpsA);
mps_clear(mpsB);


////
A = [  1.1 ];
     
mpsA = mps_init2(A, 100);

B = round(A);
mpsB = round(mpsA);
rst = mps_isequal(mpsB, B);
if rst <> %t  then pause, end
rst = %f;

mps_clear(mpsA);
mps_clear(mpsB);
